IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network214.2.32.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
214.2.32.0- Broadcast address
214.2.47.255- First usable
214.2.32.1- Last usable
214.2.47.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Public public
- Old class
- C (default /24)
- As numbers
- Hex
D6022000· Integer3590463488to3590467583 - Reverse DNS zones
32.2.214.in-addr.arpa33.2.214.in-addr.arpa34.2.214.in-addr.arpa35.2.214.in-addr.arpa36.2.214.in-addr.arpa37.2.214.in-addr.arpa38.2.214.in-addr.arpa39.2.214.in-addr.arpa40.2.214.in-addr.arpa41.2.214.in-addr.arpa42.2.214.in-addr.arpa43.2.214.in-addr.arpa44.2.214.in-addr.arpa45.2.214.in-addr.arpa46.2.214.in-addr.arpa47.2.214.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11010110.00000010.00100000.00000000 | 214.2.32.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 11010110.00000010.00100000.00000000 | 214.2.32.0 |
| Broadcast | 11010110.00000010.00101111.11111111 | 214.2.47.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
214.2.32.0/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 214.2.32.0/32 | 214.2.32.0 to 214.2.32.0 | — | 1 |
| 2 | 214.2.32.1/32 | 214.2.32.1 to 214.2.32.1 | — | 1 |
| 3 | 214.2.32.2/32 | 214.2.32.2 to 214.2.32.2 | — | 1 |
| 4 | 214.2.32.3/32 | 214.2.32.3 to 214.2.32.3 | — | 1 |
| 5 | 214.2.32.4/32 | 214.2.32.4 to 214.2.32.4 | — | 1 |
| 6 | 214.2.32.5/32 | 214.2.32.5 to 214.2.32.5 | — | 1 |
| 7 | 214.2.32.6/32 | 214.2.32.6 to 214.2.32.6 | — | 1 |
| 8 | 214.2.32.7/32 | 214.2.32.7 to 214.2.32.7 | — | 1 |
| 9 | 214.2.32.8/32 | 214.2.32.8 to 214.2.32.8 | — | 1 |
| 10 | 214.2.32.9/32 | 214.2.32.9 to 214.2.32.9 | — | 1 |
| 11 | 214.2.32.10/32 | 214.2.32.10 to 214.2.32.10 | — | 1 |
| 12 | 214.2.32.11/32 | 214.2.32.11 to 214.2.32.11 | — | 1 |
| 13 | 214.2.32.12/32 | 214.2.32.12 to 214.2.32.12 | — | 1 |
| 14 | 214.2.32.13/32 | 214.2.32.13 to 214.2.32.13 | — | 1 |
| 15 | 214.2.32.14/32 | 214.2.32.14 to 214.2.32.14 | — | 1 |
| 16 | 214.2.32.15/32 | 214.2.32.15 to 214.2.32.15 | — | 1 |
| 17 | 214.2.32.16/32 | 214.2.32.16 to 214.2.32.16 | — | 1 |
| 18 | 214.2.32.17/32 | 214.2.32.17 to 214.2.32.17 | — | 1 |
| 19 | 214.2.32.18/32 | 214.2.32.18 to 214.2.32.18 | — | 1 |
| 20 | 214.2.32.19/32 | 214.2.32.19 to 214.2.32.19 | — | 1 |
| 21 | 214.2.32.20/32 | 214.2.32.20 to 214.2.32.20 | — | 1 |
| 22 | 214.2.32.21/32 | 214.2.32.21 to 214.2.32.21 | — | 1 |
| 23 | 214.2.32.22/32 | 214.2.32.22 to 214.2.32.22 | — | 1 |
| 24 | 214.2.32.23/32 | 214.2.32.23 to 214.2.32.23 | — | 1 |
| 25 | 214.2.32.24/32 | 214.2.32.24 to 214.2.32.24 | — | 1 |
| 26 | 214.2.32.25/32 | 214.2.32.25 to 214.2.32.25 | — | 1 |
| 27 | 214.2.32.26/32 | 214.2.32.26 to 214.2.32.26 | — | 1 |
| 28 | 214.2.32.27/32 | 214.2.32.27 to 214.2.32.27 | — | 1 |
| 29 | 214.2.32.28/32 | 214.2.32.28 to 214.2.32.28 | — | 1 |
| 30 | 214.2.32.29/32 | 214.2.32.29 to 214.2.32.29 | — | 1 |
| 31 | 214.2.32.30/32 | 214.2.32.30 to 214.2.32.30 | — | 1 |
| 32 | 214.2.32.31/32 | 214.2.32.31 to 214.2.32.31 | — | 1 |
| 33 | 214.2.32.32/32 | 214.2.32.32 to 214.2.32.32 | — | 1 |
| 34 | 214.2.32.33/32 | 214.2.32.33 to 214.2.32.33 | — | 1 |
| 35 | 214.2.32.34/32 | 214.2.32.34 to 214.2.32.34 | — | 1 |
| 36 | 214.2.32.35/32 | 214.2.32.35 to 214.2.32.35 | — | 1 |
| 37 | 214.2.32.36/32 | 214.2.32.36 to 214.2.32.36 | — | 1 |
| 38 | 214.2.32.37/32 | 214.2.32.37 to 214.2.32.37 | — | 1 |
| 39 | 214.2.32.38/32 | 214.2.32.38 to 214.2.32.38 | — | 1 |
| 40 | 214.2.32.39/32 | 214.2.32.39 to 214.2.32.39 | — | 1 |
| 41 | 214.2.32.40/32 | 214.2.32.40 to 214.2.32.40 | — | 1 |
| 42 | 214.2.32.41/32 | 214.2.32.41 to 214.2.32.41 | — | 1 |
| 43 | 214.2.32.42/32 | 214.2.32.42 to 214.2.32.42 | — | 1 |
| 44 | 214.2.32.43/32 | 214.2.32.43 to 214.2.32.43 | — | 1 |
| 45 | 214.2.32.44/32 | 214.2.32.44 to 214.2.32.44 | — | 1 |
| 46 | 214.2.32.45/32 | 214.2.32.45 to 214.2.32.45 | — | 1 |
| 47 | 214.2.32.46/32 | 214.2.32.46 to 214.2.32.46 | — | 1 |
| 48 | 214.2.32.47/32 | 214.2.32.47 to 214.2.32.47 | — | 1 |
| 49 | 214.2.32.48/32 | 214.2.32.48 to 214.2.32.48 | — | 1 |
| 50 | 214.2.32.49/32 | 214.2.32.49 to 214.2.32.49 | — | 1 |
| 51 | 214.2.32.50/32 | 214.2.32.50 to 214.2.32.50 | — | 1 |
| 52 | 214.2.32.51/32 | 214.2.32.51 to 214.2.32.51 | — | 1 |
| 53 | 214.2.32.52/32 | 214.2.32.52 to 214.2.32.52 | — | 1 |
| 54 | 214.2.32.53/32 | 214.2.32.53 to 214.2.32.53 | — | 1 |
| 55 | 214.2.32.54/32 | 214.2.32.54 to 214.2.32.54 | — | 1 |
| 56 | 214.2.32.55/32 | 214.2.32.55 to 214.2.32.55 | — | 1 |
| 57 | 214.2.32.56/32 | 214.2.32.56 to 214.2.32.56 | — | 1 |
| 58 | 214.2.32.57/32 | 214.2.32.57 to 214.2.32.57 | — | 1 |
| 59 | 214.2.32.58/32 | 214.2.32.58 to 214.2.32.58 | — | 1 |
| 60 | 214.2.32.59/32 | 214.2.32.59 to 214.2.32.59 | — | 1 |
| 61 | 214.2.32.60/32 | 214.2.32.60 to 214.2.32.60 | — | 1 |
| 62 | 214.2.32.61/32 | 214.2.32.61 to 214.2.32.61 | — | 1 |
| 63 | 214.2.32.62/32 | 214.2.32.62 to 214.2.32.62 | — | 1 |
| 64 | 214.2.32.63/32 | 214.2.32.63 to 214.2.32.63 | — | 1 |
| 65 | 214.2.32.64/32 | 214.2.32.64 to 214.2.32.64 | — | 1 |
| 66 | 214.2.32.65/32 | 214.2.32.65 to 214.2.32.65 | — | 1 |
| 67 | 214.2.32.66/32 | 214.2.32.66 to 214.2.32.66 | — | 1 |
| 68 | 214.2.32.67/32 | 214.2.32.67 to 214.2.32.67 | — | 1 |
| 69 | 214.2.32.68/32 | 214.2.32.68 to 214.2.32.68 | — | 1 |
| 70 | 214.2.32.69/32 | 214.2.32.69 to 214.2.32.69 | — | 1 |
| 71 | 214.2.32.70/32 | 214.2.32.70 to 214.2.32.70 | — | 1 |
| 72 | 214.2.32.71/32 | 214.2.32.71 to 214.2.32.71 | — | 1 |
| 73 | 214.2.32.72/32 | 214.2.32.72 to 214.2.32.72 | — | 1 |
| 74 | 214.2.32.73/32 | 214.2.32.73 to 214.2.32.73 | — | 1 |
| 75 | 214.2.32.74/32 | 214.2.32.74 to 214.2.32.74 | — | 1 |
| 76 | 214.2.32.75/32 | 214.2.32.75 to 214.2.32.75 | — | 1 |
| 77 | 214.2.32.76/32 | 214.2.32.76 to 214.2.32.76 | — | 1 |
| 78 | 214.2.32.77/32 | 214.2.32.77 to 214.2.32.77 | — | 1 |
| 79 | 214.2.32.78/32 | 214.2.32.78 to 214.2.32.78 | — | 1 |
| 80 | 214.2.32.79/32 | 214.2.32.79 to 214.2.32.79 | — | 1 |
| 81 | 214.2.32.80/32 | 214.2.32.80 to 214.2.32.80 | — | 1 |
| 82 | 214.2.32.81/32 | 214.2.32.81 to 214.2.32.81 | — | 1 |
| 83 | 214.2.32.82/32 | 214.2.32.82 to 214.2.32.82 | — | 1 |
| 84 | 214.2.32.83/32 | 214.2.32.83 to 214.2.32.83 | — | 1 |
| 85 | 214.2.32.84/32 | 214.2.32.84 to 214.2.32.84 | — | 1 |
| 86 | 214.2.32.85/32 | 214.2.32.85 to 214.2.32.85 | — | 1 |
| 87 | 214.2.32.86/32 | 214.2.32.86 to 214.2.32.86 | — | 1 |
| 88 | 214.2.32.87/32 | 214.2.32.87 to 214.2.32.87 | — | 1 |
| 89 | 214.2.32.88/32 | 214.2.32.88 to 214.2.32.88 | — | 1 |
| 90 | 214.2.32.89/32 | 214.2.32.89 to 214.2.32.89 | — | 1 |
| 91 | 214.2.32.90/32 | 214.2.32.90 to 214.2.32.90 | — | 1 |
| 92 | 214.2.32.91/32 | 214.2.32.91 to 214.2.32.91 | — | 1 |
| 93 | 214.2.32.92/32 | 214.2.32.92 to 214.2.32.92 | — | 1 |
| 94 | 214.2.32.93/32 | 214.2.32.93 to 214.2.32.93 | — | 1 |
| 95 | 214.2.32.94/32 | 214.2.32.94 to 214.2.32.94 | — | 1 |
| 96 | 214.2.32.95/32 | 214.2.32.95 to 214.2.32.95 | — | 1 |
| 97 | 214.2.32.96/32 | 214.2.32.96 to 214.2.32.96 | — | 1 |
| 98 | 214.2.32.97/32 | 214.2.32.97 to 214.2.32.97 | — | 1 |
| 99 | 214.2.32.98/32 | 214.2.32.98 to 214.2.32.98 | — | 1 |
| 100 | 214.2.32.99/32 | 214.2.32.99 to 214.2.32.99 | — | 1 |
| 101 | 214.2.32.100/32 | 214.2.32.100 to 214.2.32.100 | — | 1 |
| 102 | 214.2.32.101/32 | 214.2.32.101 to 214.2.32.101 | — | 1 |
| 103 | 214.2.32.102/32 | 214.2.32.102 to 214.2.32.102 | — | 1 |
| 104 | 214.2.32.103/32 | 214.2.32.103 to 214.2.32.103 | — | 1 |
| 105 | 214.2.32.104/32 | 214.2.32.104 to 214.2.32.104 | — | 1 |
| 106 | 214.2.32.105/32 | 214.2.32.105 to 214.2.32.105 | — | 1 |
| 107 | 214.2.32.106/32 | 214.2.32.106 to 214.2.32.106 | — | 1 |
| 108 | 214.2.32.107/32 | 214.2.32.107 to 214.2.32.107 | — | 1 |
| 109 | 214.2.32.108/32 | 214.2.32.108 to 214.2.32.108 | — | 1 |
| 110 | 214.2.32.109/32 | 214.2.32.109 to 214.2.32.109 | — | 1 |
| 111 | 214.2.32.110/32 | 214.2.32.110 to 214.2.32.110 | — | 1 |
| 112 | 214.2.32.111/32 | 214.2.32.111 to 214.2.32.111 | — | 1 |
| 113 | 214.2.32.112/32 | 214.2.32.112 to 214.2.32.112 | — | 1 |
| 114 | 214.2.32.113/32 | 214.2.32.113 to 214.2.32.113 | — | 1 |
| 115 | 214.2.32.114/32 | 214.2.32.114 to 214.2.32.114 | — | 1 |
| 116 | 214.2.32.115/32 | 214.2.32.115 to 214.2.32.115 | — | 1 |
| 117 | 214.2.32.116/32 | 214.2.32.116 to 214.2.32.116 | — | 1 |
| 118 | 214.2.32.117/32 | 214.2.32.117 to 214.2.32.117 | — | 1 |
| 119 | 214.2.32.118/32 | 214.2.32.118 to 214.2.32.118 | — | 1 |
| 120 | 214.2.32.119/32 | 214.2.32.119 to 214.2.32.119 | — | 1 |
| 121 | 214.2.32.120/32 | 214.2.32.120 to 214.2.32.120 | — | 1 |
| 122 | 214.2.32.121/32 | 214.2.32.121 to 214.2.32.121 | — | 1 |
| 123 | 214.2.32.122/32 | 214.2.32.122 to 214.2.32.122 | — | 1 |
| 124 | 214.2.32.123/32 | 214.2.32.123 to 214.2.32.123 | — | 1 |
| 125 | 214.2.32.124/32 | 214.2.32.124 to 214.2.32.124 | — | 1 |
| 126 | 214.2.32.125/32 | 214.2.32.125 to 214.2.32.125 | — | 1 |
| 127 | 214.2.32.126/32 | 214.2.32.126 to 214.2.32.126 | — | 1 |
| 128 | 214.2.32.127/32 | 214.2.32.127 to 214.2.32.127 | — | 1 |
| 129 | 214.2.32.128/32 | 214.2.32.128 to 214.2.32.128 | — | 1 |
| 130 | 214.2.32.129/32 | 214.2.32.129 to 214.2.32.129 | — | 1 |
| 131 | 214.2.32.130/32 | 214.2.32.130 to 214.2.32.130 | — | 1 |
| 132 | 214.2.32.131/32 | 214.2.32.131 to 214.2.32.131 | — | 1 |
| 133 | 214.2.32.132/32 | 214.2.32.132 to 214.2.32.132 | — | 1 |
| 134 | 214.2.32.133/32 | 214.2.32.133 to 214.2.32.133 | — | 1 |
| 135 | 214.2.32.134/32 | 214.2.32.134 to 214.2.32.134 | — | 1 |
| 136 | 214.2.32.135/32 | 214.2.32.135 to 214.2.32.135 | — | 1 |
| 137 | 214.2.32.136/32 | 214.2.32.136 to 214.2.32.136 | — | 1 |
| 138 | 214.2.32.137/32 | 214.2.32.137 to 214.2.32.137 | — | 1 |
| 139 | 214.2.32.138/32 | 214.2.32.138 to 214.2.32.138 | — | 1 |
| 140 | 214.2.32.139/32 | 214.2.32.139 to 214.2.32.139 | — | 1 |
| 141 | 214.2.32.140/32 | 214.2.32.140 to 214.2.32.140 | — | 1 |
| 142 | 214.2.32.141/32 | 214.2.32.141 to 214.2.32.141 | — | 1 |
| 143 | 214.2.32.142/32 | 214.2.32.142 to 214.2.32.142 | — | 1 |
| 144 | 214.2.32.143/32 | 214.2.32.143 to 214.2.32.143 | — | 1 |
| 145 | 214.2.32.144/32 | 214.2.32.144 to 214.2.32.144 | — | 1 |
| 146 | 214.2.32.145/32 | 214.2.32.145 to 214.2.32.145 | — | 1 |
| 147 | 214.2.32.146/32 | 214.2.32.146 to 214.2.32.146 | — | 1 |
| 148 | 214.2.32.147/32 | 214.2.32.147 to 214.2.32.147 | — | 1 |
| 149 | 214.2.32.148/32 | 214.2.32.148 to 214.2.32.148 | — | 1 |
| 150 | 214.2.32.149/32 | 214.2.32.149 to 214.2.32.149 | — | 1 |
| 151 | 214.2.32.150/32 | 214.2.32.150 to 214.2.32.150 | — | 1 |
| 152 | 214.2.32.151/32 | 214.2.32.151 to 214.2.32.151 | — | 1 |
| 153 | 214.2.32.152/32 | 214.2.32.152 to 214.2.32.152 | — | 1 |
| 154 | 214.2.32.153/32 | 214.2.32.153 to 214.2.32.153 | — | 1 |
| 155 | 214.2.32.154/32 | 214.2.32.154 to 214.2.32.154 | — | 1 |
| 156 | 214.2.32.155/32 | 214.2.32.155 to 214.2.32.155 | — | 1 |
| 157 | 214.2.32.156/32 | 214.2.32.156 to 214.2.32.156 | — | 1 |
| 158 | 214.2.32.157/32 | 214.2.32.157 to 214.2.32.157 | — | 1 |
| 159 | 214.2.32.158/32 | 214.2.32.158 to 214.2.32.158 | — | 1 |
| 160 | 214.2.32.159/32 | 214.2.32.159 to 214.2.32.159 | — | 1 |
| 161 | 214.2.32.160/32 | 214.2.32.160 to 214.2.32.160 | — | 1 |
| 162 | 214.2.32.161/32 | 214.2.32.161 to 214.2.32.161 | — | 1 |
| 163 | 214.2.32.162/32 | 214.2.32.162 to 214.2.32.162 | — | 1 |
| 164 | 214.2.32.163/32 | 214.2.32.163 to 214.2.32.163 | — | 1 |
| 165 | 214.2.32.164/32 | 214.2.32.164 to 214.2.32.164 | — | 1 |
| 166 | 214.2.32.165/32 | 214.2.32.165 to 214.2.32.165 | — | 1 |
| 167 | 214.2.32.166/32 | 214.2.32.166 to 214.2.32.166 | — | 1 |
| 168 | 214.2.32.167/32 | 214.2.32.167 to 214.2.32.167 | — | 1 |
| 169 | 214.2.32.168/32 | 214.2.32.168 to 214.2.32.168 | — | 1 |
| 170 | 214.2.32.169/32 | 214.2.32.169 to 214.2.32.169 | — | 1 |
| 171 | 214.2.32.170/32 | 214.2.32.170 to 214.2.32.170 | — | 1 |
| 172 | 214.2.32.171/32 | 214.2.32.171 to 214.2.32.171 | — | 1 |
| 173 | 214.2.32.172/32 | 214.2.32.172 to 214.2.32.172 | — | 1 |
| 174 | 214.2.32.173/32 | 214.2.32.173 to 214.2.32.173 | — | 1 |
| 175 | 214.2.32.174/32 | 214.2.32.174 to 214.2.32.174 | — | 1 |
| 176 | 214.2.32.175/32 | 214.2.32.175 to 214.2.32.175 | — | 1 |
| 177 | 214.2.32.176/32 | 214.2.32.176 to 214.2.32.176 | — | 1 |
| 178 | 214.2.32.177/32 | 214.2.32.177 to 214.2.32.177 | — | 1 |
| 179 | 214.2.32.178/32 | 214.2.32.178 to 214.2.32.178 | — | 1 |
| 180 | 214.2.32.179/32 | 214.2.32.179 to 214.2.32.179 | — | 1 |
| 181 | 214.2.32.180/32 | 214.2.32.180 to 214.2.32.180 | — | 1 |
| 182 | 214.2.32.181/32 | 214.2.32.181 to 214.2.32.181 | — | 1 |
| 183 | 214.2.32.182/32 | 214.2.32.182 to 214.2.32.182 | — | 1 |
| 184 | 214.2.32.183/32 | 214.2.32.183 to 214.2.32.183 | — | 1 |
| 185 | 214.2.32.184/32 | 214.2.32.184 to 214.2.32.184 | — | 1 |
| 186 | 214.2.32.185/32 | 214.2.32.185 to 214.2.32.185 | — | 1 |
| 187 | 214.2.32.186/32 | 214.2.32.186 to 214.2.32.186 | — | 1 |
| 188 | 214.2.32.187/32 | 214.2.32.187 to 214.2.32.187 | — | 1 |
| 189 | 214.2.32.188/32 | 214.2.32.188 to 214.2.32.188 | — | 1 |
| 190 | 214.2.32.189/32 | 214.2.32.189 to 214.2.32.189 | — | 1 |
| 191 | 214.2.32.190/32 | 214.2.32.190 to 214.2.32.190 | — | 1 |
| 192 | 214.2.32.191/32 | 214.2.32.191 to 214.2.32.191 | — | 1 |
| 193 | 214.2.32.192/32 | 214.2.32.192 to 214.2.32.192 | — | 1 |
| 194 | 214.2.32.193/32 | 214.2.32.193 to 214.2.32.193 | — | 1 |
| 195 | 214.2.32.194/32 | 214.2.32.194 to 214.2.32.194 | — | 1 |
| 196 | 214.2.32.195/32 | 214.2.32.195 to 214.2.32.195 | — | 1 |
| 197 | 214.2.32.196/32 | 214.2.32.196 to 214.2.32.196 | — | 1 |
| 198 | 214.2.32.197/32 | 214.2.32.197 to 214.2.32.197 | — | 1 |
| 199 | 214.2.32.198/32 | 214.2.32.198 to 214.2.32.198 | — | 1 |
| 200 | 214.2.32.199/32 | 214.2.32.199 to 214.2.32.199 | — | 1 |
| 201 | 214.2.32.200/32 | 214.2.32.200 to 214.2.32.200 | — | 1 |
| 202 | 214.2.32.201/32 | 214.2.32.201 to 214.2.32.201 | — | 1 |
| 203 | 214.2.32.202/32 | 214.2.32.202 to 214.2.32.202 | — | 1 |
| 204 | 214.2.32.203/32 | 214.2.32.203 to 214.2.32.203 | — | 1 |
| 205 | 214.2.32.204/32 | 214.2.32.204 to 214.2.32.204 | — | 1 |
| 206 | 214.2.32.205/32 | 214.2.32.205 to 214.2.32.205 | — | 1 |
| 207 | 214.2.32.206/32 | 214.2.32.206 to 214.2.32.206 | — | 1 |
| 208 | 214.2.32.207/32 | 214.2.32.207 to 214.2.32.207 | — | 1 |
| 209 | 214.2.32.208/32 | 214.2.32.208 to 214.2.32.208 | — | 1 |
| 210 | 214.2.32.209/32 | 214.2.32.209 to 214.2.32.209 | — | 1 |
| 211 | 214.2.32.210/32 | 214.2.32.210 to 214.2.32.210 | — | 1 |
| 212 | 214.2.32.211/32 | 214.2.32.211 to 214.2.32.211 | — | 1 |
| 213 | 214.2.32.212/32 | 214.2.32.212 to 214.2.32.212 | — | 1 |
| 214 | 214.2.32.213/32 | 214.2.32.213 to 214.2.32.213 | — | 1 |
| 215 | 214.2.32.214/32 | 214.2.32.214 to 214.2.32.214 | — | 1 |
| 216 | 214.2.32.215/32 | 214.2.32.215 to 214.2.32.215 | — | 1 |
| 217 | 214.2.32.216/32 | 214.2.32.216 to 214.2.32.216 | — | 1 |
| 218 | 214.2.32.217/32 | 214.2.32.217 to 214.2.32.217 | — | 1 |
| 219 | 214.2.32.218/32 | 214.2.32.218 to 214.2.32.218 | — | 1 |
| 220 | 214.2.32.219/32 | 214.2.32.219 to 214.2.32.219 | — | 1 |
| 221 | 214.2.32.220/32 | 214.2.32.220 to 214.2.32.220 | — | 1 |
| 222 | 214.2.32.221/32 | 214.2.32.221 to 214.2.32.221 | — | 1 |
| 223 | 214.2.32.222/32 | 214.2.32.222 to 214.2.32.222 | — | 1 |
| 224 | 214.2.32.223/32 | 214.2.32.223 to 214.2.32.223 | — | 1 |
| 225 | 214.2.32.224/32 | 214.2.32.224 to 214.2.32.224 | — | 1 |
| 226 | 214.2.32.225/32 | 214.2.32.225 to 214.2.32.225 | — | 1 |
| 227 | 214.2.32.226/32 | 214.2.32.226 to 214.2.32.226 | — | 1 |
| 228 | 214.2.32.227/32 | 214.2.32.227 to 214.2.32.227 | — | 1 |
| 229 | 214.2.32.228/32 | 214.2.32.228 to 214.2.32.228 | — | 1 |
| 230 | 214.2.32.229/32 | 214.2.32.229 to 214.2.32.229 | — | 1 |
| 231 | 214.2.32.230/32 | 214.2.32.230 to 214.2.32.230 | — | 1 |
| 232 | 214.2.32.231/32 | 214.2.32.231 to 214.2.32.231 | — | 1 |
| 233 | 214.2.32.232/32 | 214.2.32.232 to 214.2.32.232 | — | 1 |
| 234 | 214.2.32.233/32 | 214.2.32.233 to 214.2.32.233 | — | 1 |
| 235 | 214.2.32.234/32 | 214.2.32.234 to 214.2.32.234 | — | 1 |
| 236 | 214.2.32.235/32 | 214.2.32.235 to 214.2.32.235 | — | 1 |
| 237 | 214.2.32.236/32 | 214.2.32.236 to 214.2.32.236 | — | 1 |
| 238 | 214.2.32.237/32 | 214.2.32.237 to 214.2.32.237 | — | 1 |
| 239 | 214.2.32.238/32 | 214.2.32.238 to 214.2.32.238 | — | 1 |
| 240 | 214.2.32.239/32 | 214.2.32.239 to 214.2.32.239 | — | 1 |
| 241 | 214.2.32.240/32 | 214.2.32.240 to 214.2.32.240 | — | 1 |
| 242 | 214.2.32.241/32 | 214.2.32.241 to 214.2.32.241 | — | 1 |
| 243 | 214.2.32.242/32 | 214.2.32.242 to 214.2.32.242 | — | 1 |
| 244 | 214.2.32.243/32 | 214.2.32.243 to 214.2.32.243 | — | 1 |
| 245 | 214.2.32.244/32 | 214.2.32.244 to 214.2.32.244 | — | 1 |
| 246 | 214.2.32.245/32 | 214.2.32.245 to 214.2.32.245 | — | 1 |
| 247 | 214.2.32.246/32 | 214.2.32.246 to 214.2.32.246 | — | 1 |
| 248 | 214.2.32.247/32 | 214.2.32.247 to 214.2.32.247 | — | 1 |
| 249 | 214.2.32.248/32 | 214.2.32.248 to 214.2.32.248 | — | 1 |
| 250 | 214.2.32.249/32 | 214.2.32.249 to 214.2.32.249 | — | 1 |
| 251 | 214.2.32.250/32 | 214.2.32.250 to 214.2.32.250 | — | 1 |
| 252 | 214.2.32.251/32 | 214.2.32.251 to 214.2.32.251 | — | 1 |
| 253 | 214.2.32.252/32 | 214.2.32.252 to 214.2.32.252 | — | 1 |
| 254 | 214.2.32.253/32 | 214.2.32.253 to 214.2.32.253 | — | 1 |
| 255 | 214.2.32.254/32 | 214.2.32.254 to 214.2.32.254 | — | 1 |
| 256 | 214.2.32.255/32 | 214.2.32.255 to 214.2.32.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |